Reading Time: 3 minutes

Just a few weeks ago, VMware has released NSX Data Center for vSphere v6.4.2 and now it’s the turn of a new version: NSX Data Center for vSphere v6.4.3.

NSX Data Center for vSphere 6.4.3 addresses a number of specific customer bugs. See Resolved Issues for more information.

The release notes describe other aspects, but there aren’t new features or specific improvement in this new release.

Anyway, there are some interesting information, like the minimum supported version of NSX and other VMware products:

Product or Component Version
NSX Data Center for vSphere VMware recommends the latest NSX release for new deployments.

When upgrading existing deployments, please review the NSX Data Center for vSphere Release Notes or contact your VMware technical support representative for more information on specific issues before planning an upgrade.

vSphere  

  • For vSphere 6.0:
    Supported: 6.0 Update 2, 6.0 Update 3
    Recommended: 6.0 Update 3. vSphere 6.0 Update 3 resolves the issue of duplicate VTEPs in ESXi hosts after rebooting vCenter server. See VMware Knowledge Base article 2144605 for more information.
  • For vSphere 6.5:
    Supported: 6.5a, 6.5 Update 1, 6.5 Update 2.
    Recommended: 6.5 Update 1. vSphere 6.5 Update 1 resolves the issue of EAM failing with OutOfMemory. See VMware Knowledge Base Article 2135378 for more information.
    If you are using multicast routing on vSphere 6.5, vSphere 6.5 Update 2 is recommended.
  • For vSphere 6.7
    Supported: 6.7
    Recommended: 6.7

Note: vSphere 5.5 is not supported with NSX 6.4.

Guest Introspection for Windows All versions of VMware Tools are supported. Some Guest Introspection-based features require newer VMware Tools versions:

  • Use VMware Tools 10.0.9 and 10.0.12 to enable the optional Thin Agent Network Introspection Driver component packaged with VMware Tools.
  • Upgrade to VMware Tools 10.0.8 and later to resolve slow VMs after upgrading VMware Tools in NSX / vCloud Networking and Security (see VMware knowledge base article 2144236).
  • Use VMware Tools 10.1.0 and later for Windows 10 support.
  • Use VMware Tools 10.1.10 and later for Windows Server 2016 support.
Guest Introspection for Linux This NSX version supports the following Linux versions:

  • RHEL 7 GA (64 bit)
  • SLES 12 GA (64 bit)
  • Ubuntu 14.04 LTS (64 bit)

For more information on the supported version of NSX and other VMware products, see the VMware Product Interoperability Matrix.

Also, there are interesting pieces of information on deprecated and discontinued functionality:

  • NSX for vSphere 6.1.x reached End of Availability (EOA) and End of General Support (EOGS) on January 15, 2017. (See also VMware knowledge base article 2144769.)
  • vCNS Edges no longer supported. You must upgrade to an NSX Edge first before upgrading to NSX 6.3 or later.
  • NSX for vSphere 6.2.x has reached End of General Support (EOGS) as of August 20, 2018.
  • Based on security recommendations, 3DES as an encryption algorithm in NSX Edge IPsec VPN service is no longer supported.
    It is recommended that you switch to one of the secure ciphers available in IPsec service. This change regarding encryption algorithm is applicable to IKE SA (phase1) as well as IPsec SA (phase2) negotiation for an IPsec site.

For information about NSX and other VMware products that must be upgraded soon, please consult the VMware Lifecycle Product Matrix.

Before upgrade NSX, be sure to check the proper compatibility matrix and the proper upgrade path.

Note: VMware NSX Data Center for vSphere is the new name of NSX-v and NSX-t for the on-prem case, and version 6 is actually referring to the specific edition for VMware vSphere that use the vCenter Server UI has the main UI also for all the NSX part.

Andrea MauroAbout Andrea Mauro (2838 Posts)

Virtualization, Cloud and Storage Architect. Tech Field delegate. VMUG IT Co-Founder and board member. VMware VMTN Moderator and vExpert 2010-18. Dell TechCenter Rockstar 2014-15. Microsoft MVP 2014-16. Veeam Vanguard 2015-18. Nutanix NTC 2014-18. PernixPro 2014-16. Several certifications including: VCDX-DCV, VCP-DCV/DT/Cloud, VCAP-DCA/DCD/CIA/CID/DTA/DTD, MCSA, MCSE, MCITP, CCA, NPP.


Share